enum ServerStatus {
  unknown(0),
  online(3),
  offline(4);

  const ServerStatus(this.code);

  final int code;

  static ServerStatus fromCode(int code) {
    return ServerStatus.values.firstWhere(
      (e) => e.code == code,
      orElse: () => ServerStatus.unknown,
    );
  }
}

enum AccountStatus {
  online(3),
  offline(4);

  const AccountStatus(this.code);

  final int code;
}
